import { HttpClient, MaybeContext, BuildRESTFunction } from '@wix/sdk-types';
import { RunTriggerOptions } from './index.typings.js';
export { BulkUpdateMainEntityTagsByFilterRequest, BulkUpdateMainEntityTagsByFilterResponse, BulkUpdateMainEntityTagsRequest, BulkUpdateMainEntityTagsResponse, MainEntity, RunTriggerRequest, RunTriggerResponse, TagList, Tags } from './index.typings.js';

declare function runTrigger$1(httpClient: HttpClient): RunTriggerSignature;
interface RunTriggerSignature {
    /**
     * Runs the automation associated with the trigger ID that you pass to it.
     */
    (options?: RunTriggerOptions): Promise<void>;
}

declare const runTrigger: MaybeContext<BuildRESTFunction<typeof runTrigger$1> & typeof runTrigger$1>;

export { RunTriggerOptions, runTrigger };
